r.lags(1)	       Grass User's Manual		r.lags(1)



NNAAMMEE
       rr..llaaggss  - GRASS module to calculate various spatial depen-
       dence measures for all possible lags within a given image.
       Each  measure is made by comparing two cells only for each
       lag azimuth and distance. The whole image is read once for
       each  cell in the image, therefore is very computationally
       expensive. A Sparc 2 would typically take 1 hour to calcu-
       late a 150x150 image.



UUssaaggee::
       r.lags [-sc] _i_n_=name _o_u_t_=name [_m_e_a_s_u_r_e_=name]



FFllaaggss::
       -n   Calculate non-zero values only

       -v   Calculate semi-variogram instead

PPaarraammeetteerrss::
       in=name	 Raster surface layer to measure


       out=name   Output raster containing lag map


       measure=name    Spatial	dependence  measure (Moran's I or
       texture)

       options: moran,texture

       default: moran


HHIISSTTOORRYY
       V1.0 written 17.6.92 to	calculate  Moran  autocorrelation
       statistic.

       V2.0 written 18.7.92 to also calulate Haralick's grey-tone
       spatial
       dependence textural measures.

       V2.1 modified 18.9.95 to conform to standard GRASS program
       structure.


       Future  improvements  could  include (i) Option of faster,
       memory intensive
       option; (ii) Further lag dependent measures; (iii) Cumula-
       tive lags under
       some  distance  weighting  function. (iv) Option of ignor-
       ing/including zero
       values in the calculation.

       Jo Wood, November, 1995

       jwo@le.ac.uk

       ASSIST's home

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_4 _$



GRASS 5.0						r.lags(1)
